import React from "react";
import { Button } from "semantic-ui-react";
export const Rocker = (props) => {
    const { on = "On", off = "Off", onClick, active, ...rest } = props;
    return (React.createElement(Button.Group, Object.assign({}, rest, { className: "rocker" }),
        React.createElement(Button, { onClick: onClick, content: on, active: active }),
        React.createElement(Button, { onClick: onClick, content: off, active: !active })));
};
